[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'PairSplitter' (#lcl)

# TCustomPairSplitter.Create

Constructor for the class instance.

## Declaration

Source position: pairsplitter.pas line 111

`public constructor TCustomPairSplitter.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the component.

## Description

Create is the constructor for the class instance. Create calls the inherited constructor using TheOwner as the owner of the component.

Create calls the GetControlClassDefaultSize class method to get the default height and width values used in instances of the class type, and calls SetBounds to apply the values. Create sets the default values for the following properties:

ControlStyle
  Removes the value csAcceptsControls in the property
SplitterType
  pstHorizontal
Cursor
  crHSplit
Position
  45

Create calls the CreateSides method when csDesigning is not in the ComponentState property. CreateSides ensures both TPairSplitterSide instances are created (and parented) in the Sides property.

## See also

TCustomPairSplitter.GetControlClassDefaultSize |  | Gets the default size for the control class.
TCustomPairSplitter.CreateSides |  | Creates missing any controls in the Sides property.
TCustomPairSplitter.Position |  | Indicates the position for the Splitter relative to its orientation.
TCustomPairSplitter.Sides |  | Provides access to the adjacent children resized using the Splitter.
TCustomPairSplitter.SplitterType |  | Specifies the orientation for the splitter in the component.
TPairSplitterSide |  | Implements the child controls used in the TPairSplitter component.
TWinControl.Create |  | Constructor for the class instance.